Package: org.gradle.jvm

## [Java] Interface ClassDirectoryBinarySpec

- org.gradle.api.Buildable

- All Superinterfaces:
    BinarySpec, JvmBinarySpec, Buildable

  An exploded binary containing resources and compiled class files.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface JvmBinarySpec` | `getClassesDir, getResourcesDir, getTargetPlatform, getTasks, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`
    `interface BinarySpec` | `getDisplayName, getInputs, getSource, getSources, getTasks, isBuildable, sources, tasks`
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask, getBuildDependencies`
    `interface Named` | `getName`